# Create module data

Create a new module in the module registry

Endpoint: POST /iacm/api/modules/{name}/{system}/{version}/metadata
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    org name
    Example: "Ut quibusdam amet aut quos."

  - `scope_project` (string)
    project name
    Example: "Consequatur dolor non quo."

## Path parameters:

  - `name` (string, required)
    module name
    Example: "Eum mollitia repellat."

  - `system` (string, required)
    system name
    Example: "Iure error ab ut architecto."

  - `version` (string, required)
    version of the module
    Example: "Nihil illum voluptas unde sapiente qui."

## Header parameters:

  - `Harness-Account` (string, required)
    account name
    Example: "Recusandae quasi et minima qui."

## Request fields (application/json):

  - `download_url` (string, required)
    download url of the module
    Example: "Cumque cumque non autem aperiam sunt."

  - `error` (object)
    error from the tag operation
    Example: {"Qui sint.":"Voluptas quae id."}

  - `examples_paths` (array)
    path of the examples relative to the module
    Example: ["Voluptatem unde dolores enim ab quaerat.","Nemo non est ratione eum."]

  - `git_tag` (string, required)
    git tag of the module
    Example: "Ut non consectetur."

  - `metadata` (string, required)
    metadata to be parsed
    Example: "Aliquid magni enim corrupti."

  - `repo_url` (string)
    url pointing to the repo
    Example: "Vel voluptas dolores id sed voluptas dolorum."

  - `submodule_name` (string)
    name of the submodule been processed
    Example: "Nihil similique est dicta laborum consequatur."

  - `submodule_paths` (array)
    path of the submodules relative to the module
    Example: ["Reprehenderit voluptate.","Voluptatem amet fugit."]

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 201 fields
